متطلبات السيرفر او الخادم ليعمل قالب القمة

جدول المحتويات

لاستخدام قالب قمة ، يجب أن تقوم بتنصيب نسخة ووردبريس  WordPress 5 أو أعلى ، PHP 7.0 أو أعلى ، و MySQL 5.6 أو أعلى. تم اختبار قالب قمة مع أنظمة التشغيل Mac و Windows و Linux. و فيما يلي قائمة للعناصر التي يجب تتوفر عليها في الاستظافة لضمان تشغيل القالب بشكل صحيح :

  • تأكد من أن الاستظافة الخاصة بك تتوفر على الحد الأدنى من المتطلبات لتشغيل WordPress.
  • تاكد من ان الاستظافة تدعم اضافة IonCube .
  • تاكد من ان الاستظافة تدعم نسخة PHP 7.0 او اعلى  .

اعدادات PHP

بعض المشاكل اتي قد تظهر لك خصوصا اثناء محاولة استيراد الاشكال الجاهزة للقالب قد تكون بسبب بعض الاعدادات الخاصة ب PHP قد تكون منخفضة للغاية .

memory_limit 128M

max_input_vars 3000

max_execution_time 180

post_max_size 32M

upload_max_filesize 32M

allow_url_fopen ON

تفعيل Ioncube

يجب ايضا التاكد من تفعيل اضافة ioncube على السرفر: طريقة تفعيل Ioncube من خلال لوحة تحكم Cpanel